Order details
Orders
Order details
Shows details of an order
Orders represent completed purchase transactions and contain:
- Order items (products/offers purchased)
- Payment information
- Customer information
- Fulfillment status
Order Attributes
order_number(integer) - A unique identifier for the order within the sitecurrency_code(string) - The ISO currency code for the order (e.g., “USD”)total_price_in_cents(integer) - Total price including taxes and discountssubtotal_in_cents(integer) - Subtotal before taxes and discountssales_tax_amount_in_cents(integer) - Total sales tax amountdiscount_amount_in_cents(integer) - Total discount amountfulfilled_at(string) - Timestamp when the order was fulfilledcreated_at(string) - Timestamp when the order was created
Include Related Resources
Use the include parameter to load related resources:
Include order items, customer
GET /v1/orders/123?include=order_items,customer
GET
Order details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Load the related resources, for example ?include=order_items,customer,site
Partial attributes as specified, e.g. fields[orders]=order_number,total_price_in_cents